package com.bytesw.bytebot.bean;

import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigInteger;
import java.time.OffsetDateTime;


@Getter @Setter
public class BusinessParameterBean implements Serializable {
    @Expose private BigInteger id;
    @Expose private long version;
    @Expose private String key;
    @Expose private String description;
    @Expose private String required;
    @Expose private String defaultValue;
    @Expose private String currentValue;
    @Expose private OffsetDateTime dateFrom;
    @Expose private OffsetDateTime dateApplyFrom;
    @Expose private String programmedValue;
    @Expose private BigInteger currentConfigurationId;
    @Expose private BigInteger programmedConfigurationId;
}
